#!/bin/csh

### This needs to be run as root

#install git
pushd .
cd ~
set git_command = "`pkg_info | grep git`"
set os_version_command = `uname -a | awk '{print $3}' | cut -d'-' -f1`


setenv PACKAGESITE ftp://ftp2.freebsd.org/pub/FreeBSD-Archive/ports/i386/packages-6.4-release/Latest/

pkg_add -r git
echo "git was installed"
setenv PATH $PATH


#install ruby and rubygems and bundler
fetch ftp://ftp.ruby-lang.org/pub/ruby/1.8/ruby-1.8.7-p371.tar.gz .
tar xvzf ruby-1.8.7-p371.tar.gz
cd ruby-1.8.7-p371
./configure 
make 
make install 
cd ..
echo "ruby 1.8.7 installed"
setenv PATH $PATH

fetch http://rubyforge.org/frs/download.php/76729/rubygems-1.8.25.tgz
 tar xvzf rubygems-1.8.25.tgz
cd rubygems-1.8.25
ruby setup.rb
cd ..
	echo "rubygems installed"
setenv PATH $PATH
rm ruby-1.8.7-p371.tar.gz
rm rubygems-1.8.25.tgz
echo "installing bundler"
gem install bundler --no-rdoc --no-ri	
setenv PATH $PATH


#install ssh identities
pushd .
cd ~
fetch https://content.ilabsolutions.com/wp-content/uploads/2013/06/identities.tar.gz
mkdir identities
mv identities.tar.gz identities
cd identities
tar xvzf identities.tar.gz
cd ..

if(-d ~/.ssh) then	
else
	mkdir ~/.ssh
endif

cp identities/ilab_asu ~/.ssh/id_rsa
cp identities/ilab_asu.pub ~/.ssh/id_rsa.pub
popd


#prep directory structure (user input with defaults)
echo " Enter your input( /usr/local/iLab )?"
echo " ===================================="
echo ""
set INSTALL_LOC = $<
if ( "x$INSTALL_LOC" == "x" ) then
  set INSTALL_LOC = "/usr/local/iLab"
endif

mkdir $INSTALL_LOC
cd $INSTALL_LOC
mkdir releases
mkdir shared
cd shared
mkdir config
cp ~/tracker.yml config
mkdir sync
cd sync
mkdir configs
mkdir logs


#clone app into shared/repo
"`git clone git@git.ilabsystems.com:east_friesian.git $INSTALL_LOC/repo`"

#run deploy:install
cd $INSTALL_LOC/repo/ruby
bundle install
ln -s -f $INSTALL_LOC/shared/config/tracker.yml $INSTALL_LOC/repo/ruby/config
ruby tracker.rb install
popd
